tt_pattern_category(library call)

NAME
tt_pattern_category — return the category value of a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_category tt_pattern_category(
Tt_pattern p);

DESCRIPTION

The tt_pattern_category function returns the category value of the specified pattern.

The p argument is the opaque handle for a message pattern.

RETURN VALUE

Upon successful completion, the tt_pattern_category function returns a value that indicates whether the receiving process will observe or handle messages. The tt_pattern_category function returns one of the following Tt_status values:

TT_OBSERVE
    The receiving process will observe messages.

TT_HANDLE
    The receiving process will handle messages.

The application can use tt_int_error(3) to extract one of the following Tt_status values from the Tt_category integer return value:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_category_set(3), tt_int_error(3).